<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Trainz Configurator</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.22/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="../assets/css/styles.css">
</head>
<body>

<div id="root">
    <div class="page_wrapper">
        <section class="page_content">
            <div class="board_container">
                <article class="board_wrapper" style="background-image: url('../assets/images/background/1.png')">
                    <header class="board_header">
                        <nav class="navbar navbar-expand-lg">
                            <div class="dropdown">
                                <a class="navbar-brand dropdown-toggle" href="#" id="menu" data-toggle="dropdown" aria-expanded="false" aria-haspopup="true">
                                    <img src="../assets/images/configtrainz-logo.png" alt="" width="30" height="30" loading="lazy">
                                </a>
                                <div class="dropdown-menu" aria-labelledby="menu">
                                    <a id="menuNews" class="dropdown-item"><i class="fa fa-info-circle mr-2"></i> Nouveautés</a>
                                    <a id="menuNotice" href="#modalNotice" data-toggle="modal" class="dropdown-item"><i class="fa fa-bug mr-2"></i> Remarques</a>
                                    <a id="menuSetting" href="#modalParameter" data-toggle="modal" class="dropdown-item"><i class="fa fa-cogs mr-2"></i> Paramètres</a>
                                    <div class="dropdown-divider"></div>
                                    <a href="" class="dropdown-item" id="close"><i class="fa fa-times-circle mr-2"></i> Quitter</a>
                                </div>
                            </div>
                            <button class="navbar-toggler" type="button" data-toggle="collapse-roadmap" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                                <span class="navbar-toggler-icon"></span>
                            </button>
                        </nav>
                        <aside class="board_header_actions">
                            <div id="warningState" class="mr-2"></div>
                            <div id="loadingState" class="mr-1"></div>
                            <div id="notifUpdate" class="mr-1"></div>
                            <button class="btn btn-sm btn-success mr-2" id="createObject"><i class="fa fa-plus-circle"></i> Nouvelle Objet</button>
                            <button class="button_header_action" id="minimize"><i class="fa fa-window-minimize"></i> </button>
                            <button class="button_header_action" id="maximize"><i class="fa fa-window-maximize"></i> </button>
                            <button class="button_header_action" id="headClose"><i class="fa fa-close"></i> </button>
                        </aside>
                    </header>
                    <div class="board_content_wrapper">
                        <div class="container-fluid mt-3">
                            <div class="card">
                                <div class="card-header">
                                    <h3 class="card-title">Nouvelle Objet</h3>
                                </div>
                                <div class="card-body">
                                    <form id="formAddObject" action="" method="post">
                                        <div class="form-group row">
                                            <label for="categorySelector" class="col-form-label col-md-2">Catégorie (kind) <span class="text-danger">*</span></label>
                                            <div class="col-md-3">
                                                <select id="categorySelector" class="form-control" name="categorySelector" required></select>
                                            </div>
                                            <label for="username" class="col-form-label col-md-2">Nom de l'objet <span class="text-danger">*</span></label>
                                            <div class="col-md-5">
                                                <input type="text" id="username" class="form-control" name="username" required>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <label for="kuidNumber" class="col-form-label col-md-2">Kuid de l'objet <span class="text-danger">*</span> </label>
                                            <div class="col-md-2">
                                                <input type="text" id="kuidNumber" class="form-control" name="kuidNumber" required>
                                            </div>
                                            <label for="kuidNumberVersion" class="col-form-label col-md-2">Version du Kuid de l'objet</label>
                                            <div class="col-md-2">
                                                <input type="text" id="kuidNumberVersion" class="form-control" name="kuidNumberVersion">
                                            </div>
                                            <label for="lodDistance" class="col-form-label col-md-2">LOD Distance</label>
                                            <div class="col-md-2">
                                                <input type="text" id="lodDistance" class="form-control" name="lodDistance">
                                            </div>
                                        </div>
                                        <div class="text-center">
                                            <button class="btn btn-sm btn-success" type="submit" id="btnSubmit"><i class="fa fa-check"></i> Valider</button>
                                        </div>
                                        <!--<hr />-->
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </article>
            </div>
        </section>
    </div>
</div>

    <script>window.$ = window.jQuery = require('jquery');</script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.min.js"></script>
    <script src="../../node_modules/bootstrap/dist/js/bootstrap.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.22/js/jquery.dataTables.min.js"></script>
    <script src="https://unpkg.com/changelog-widget/dist/index.umd.js"></script>
    <script type="module" src="../assets/js/binding.js"></script>
    <script type="module" src="../assets/js/add.js"></script>
</body>
</html>